Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Accept-Version
string
default:v20260929
required
MX Platform API version.
Example:
"v20260929"
Query Parameters
page
integer
Results are paginated. Specify current page.
records_per_page
integer
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
200 - application/json
OK
transactions
object[]
required
Hide child attributes
transactions.account_guid
string
required
The unique identifier for an account. Defined by MX.
Example:
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
transactions.account_id
string | null
required
The unique client-defined identifier for the account.
Example:
"account123"
transactions.amount
number
required
The monetary amount of the transaction.
Example:
61.11
transactions.amount_set_by
integer | null
required
transactions.category
string | null
required
The category of the transaction.
Example:
"Paycheck"
transactions.category_guid
string | null
required
The unique identifier for the category. Defined by MX.
Example:
"CAT-b6d61a19-30a7-e852-2703-bdfb4072289e"
transactions.category_set_by
integer | null
required
transactions.check_number_string
string | null
required
The check number for the transaction.
Example:
null
transactions.classification
object | null
required
Hide child attributes
transactions.classification.guid
string | null
required
transactions.classification.parent_class
string | null
required
transactions.created_at
string | null
required
The date and time the transaction was created, represented in ISO 8601 format with a timestamp.
Example:
"2025-02-13T18:08:00+00:00"
transactions.currency_code
string | null
required
The three-character ISO 4217 currency code, for example, USD.
Example:
"USD"
transactions.currency_code_set_by
integer | null
required
transactions.date
string | null
required
The date on which the transaction took place. This is the field used when searching for transactions by date and is generally the same as transacted_at, but uses posted_at as a fallback.
Example:
"2024-12-20"
transactions.date_set_by
integer | null
required
transactions.description
string | null
required
A human-readable description of the transaction.
Example:
"MX Technologies Payroll"
transactions.description_set_by
integer | null
required
transactions.extended_transaction_type
string | null
required
The transaction type assigned by the partner.
Example:
null
transactions.feed_amount
number | null
required
transactions.feed_currency_code
string | null
required
transactions.feed_description
string | null
required
transactions.feed_is_international
boolean | null
required
transactions.feed_latitude
number | null
required
transactions.feed_longitude
number | null
required
transactions.feed_memo
string | null
required
transactions.feed_posted_at
string | null
required
transactions.feed_status
integer | null
required
transactions.feed_transacted_at
string | null
required
transactions.feed_transaction_type
integer | null
required
transactions.geolocation
object | null
required
Hide child attributes
transactions.geolocation.city
string | null
required
transactions.geolocation.country
string | null
required
transactions.geolocation.postal_code
string | null
required
transactions.geolocation.state
string | null
required
transactions.guid
string | null
required
The unique identifier for the transaction. Defined by MX.
Example:
"TRN-429ad9fe-a1d2-4559-8590-885b2603f0e1"
transactions.has_been_split
boolean | null
required
transactions.has_been_viewed
boolean | null
required
transactions.id
string | null
required
The unique partner-defined identifier for the transaction.
Indicates whether the transaction is a bill payment.
Example:
false
transactions.is_direct_deposit
boolean | null
required
Indicates whether the transaction is a direct deposit.
Example:
false
transactions.is_expense
boolean | null
required
Indicates whether the transaction is an expense.
Example:
false
transactions.is_fee
boolean | null
required
Indicates whether the transaction is a fee.
Example:
false
transactions.is_flagged
boolean | null
required
transactions.is_hidden
boolean | null
required
transactions.is_income
boolean | null
required
Indicates whether the transaction is income.
Example:
true
transactions.is_international
boolean | null
required
Indicates whether the transaction is international. If the data provider determines it isn't international then it will be false. It will be null if the data provider does not have this information.
Example:
false
transactions.is_international_set_by
integer | null
required
transactions.is_manual
boolean | null
required
Indicates whether the transaction was manually created or belongs to a manual account.
Example:
false
transactions.is_overdraft_fee
boolean | null
required
Indicates whether the transaction is an overdraft fee.
Example:
false
transactions.is_payroll_advance
boolean | null
required
Indicates whether the transaction is a payroll advance.
Example:
false
transactions.is_recurring
boolean | null
required
Deprecated. If required, reach out to MX to discuss an alternative.
Example:
null
transactions.is_subscription
boolean | null
required
Indicates whether the transaction is a subscription payment.
Example:
false
transactions.latitude
number | null
required
The latitude of the location where the transaction occurred. The number is a signed decimal.
Example:
null
transactions.latitude_set_by
integer | null
required
transactions.localized_description
string | null
required
A human-readable description of the transaction, provided in a local language.
Example:
"This is a localized_description"
transactions.localized_memo
string | null
required
Additional descriptive information about the transaction, provided in a local language.
Example:
"This is a localized_memo"
transactions.longitude
number | null
required
The longitude of the location where the transaction occurred. The number is a signed decimal.
Example:
null
transactions.longitude_set_by
integer | null
required
transactions.member_guid
string | null
required
The unique identifier for the member. Defined by MX.
Example:
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
transactions.member_is_managed_by_user
boolean | null
required
This indicates whether the member is managed by the user or the MX partner. Members created with the managed member feature will have this field set to false.
Example:
true
transactions.memo
string | null
required
Additional information about the transaction.
Example:
"Transactions"
transactions.memo_set_by
integer | null
required
transactions.merchant
object | null
required
Hide child attributes
transactions.merchant.guid
string | null
required
transactions.merchant.logo_url
string | null
required
transactions.merchant.name
string | null
required
transactions.merchant.website_url
string | null
required
transactions.merchant_category_code
integer | null
required
The ISO 18245 category code for the transaction.
Example:
null
transactions.merchant_guid
string | null
required
The unique identifier for the merchant. Defined by MX.
Example:
"MCH-8cc3b01a-1c52-47d4-970d-30f8ee5566f1"
transactions.merchant_location_guid
string | null
required
The unique identifier for the merchant location. Defined by MX.
Example:
null
transactions.metadata
string | null
required
Additional information you stored about the transaction.
Example:
"some metadata"
transactions.original_description
string | null
required
The original description of the transaction as provided by our data feed.
Example:
"MX TECHNOLOGIES PAYMENT"
transactions.parent_guid
string | null
required
transactions.posted_at
string | null
required
The date and time the transaction was posted to the account.
All transaction data on our systems represent what we get through our data feed which depends what institutions make available for aggregation. Many institutions do not provide data for pending transactions; transactions from those accounts always have a status of POSTED.
When we do receive data for pending transactions, a single transaction may be updated from PENDING to POSTED and keep the same guid. This is done through various matching methods performed automatically by MX.
If a single transaction can't be updated, the PENDING transaction will often be deleted and replaced with a new POSTED transaction (with a new guid) when it is sent to us; this is the most common scenario when pending data is available.
In unusual circumstances, there may be separate PENDING and POSTED transactions on MX systems for up to 14 days. All PENDING transactions are deleted after 14 days as a failsafe.
Available options:
POSTED,
PENDING,
null
Example:
"POSTED"
transactions.status_set_by
integer | null
required
transactions.top_level_category
string | null
required
The parent category assigned to this transaction's category.
Example:
"Income"
transactions.top_level_category_guid
string | null
required
transactions.transacted_at
string | null
required
The date and time the transaction took place.
Example:
"2024-12-20T12:00:00Z"
transactions.transacted_at_set_by
integer | null
required
transactions.transaction_type
integer | null
required
transactions.transaction_type_set_by
integer | null
required
transactions.type
enum<string> | null
required
The type of transaction.
Available options:
CREDIT,
DEBIT,
null
Example:
"CREDIT"
transactions.updated_at
string | null
required
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
Example:
"2025-02-13T18:09:00+00:00"
transactions.user_guid
string | null
required
The unique identifier for the user. Defined by MX.
Example:
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
transactions.user_id
string | null
required
The unique partner-defined identifier for the user.